Skip to main content
Client Groups

Patch a client group

This method requires the ClientGroups:Update permission to be associated with your role.

PATCH
/fm/client-groups/{client_group_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
client_group_idstringrequired

Client Group Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/vnd.catch-e-api.v1+json

JSON payload

abnstring
Example: 99 888 777 999
acnstring
Example: 888 777 999
address1string
Example: addressOne
address2string
Example: addressTwo
areastring
Example: suburb
billing_emailstring
Example: accounts@abcgroup.com.au
client_group_codestring
Example: CLGRP
client_group_id_externalstring
Example: 987654
contactstring
Example: contactName
namestring
Example: clientGroupName
postcodestring
Example: 3173
stateenum<string>
Available options: VIC, NSW, ACT, QLD, WA, SA, TAS, NT, NZ
Example: VIC

Response

application/vnd.catch-e-api.v1+json

Success

abnstring
Example: 99 888 777 999
acnstring
Example: 888 777 999
address1string
Example: addressOne
address2string
Example: addressTwo
areastring
Example: suburb
billing_emailstring
Example: accounts@abcgroup.com.au
client_group_codestring
Example: CLGRP
client_group_idstring
client_group_id_externalstring
Example: 987654
contactstring
Example: contactName
namestring
Example: clientGroupName
postcodestring
Example: 3173
stateenum<string>
Available options: VIC, NSW, ACT, QLD, WA, SA, TAS, NT, NZ
Example: VIC